Database id for the child component instance id.
Note, if this component instance is serialized (component type "SN"), then it will automatically break any links it had with prior parents.
If true, will break all prior links for the parent.
I.e. if an axle had a tire linked to it, and a new link was created with this option set to true, that link between the axle and tire would be broken.
If a specific link already exists between a parent and child for a given dataset & process, that already created link is returned here
Show child attributes
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Serial","colors":{"primary":"#1C2D33","light":"#F8FAFC","dark":"#21293A"},"favicon":"/favicon.png","logo":{"light":"https://mintcdn.com/serial/SIljb6ZyxcerJBNg/logo/Submark%20Light.png?fit=max\u0026auto=format\u0026n=SIljb6ZyxcerJBNg\u0026q=85\u0026s=31021d14e90d5ffbc0622406b344f8d9","dark":"https://mintcdn.com/serial/SIljb6ZyxcerJBNg/logo/Submark%20Dark.png?fit=max\u0026auto=format\u0026n=SIljb6ZyxcerJBNg\u0026q=85\u0026s=9e16c13a91307a0330308e371fc3228a"},"navbar":{"primary":{"type":"button","label":"Get Started","href":"https:www.app.serial.io"}},"footer":{"socials":{"twitter":"https://twitter.com/Serialmfg","linkedin":"https://www.linkedin.com/company/serialmfg"}},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"serial","hasAudioNarration":false,"actualSubdomain":"serial","customDomains":["docs.serial.io"],"gitSource":{"type":"github","owner":"serialmfg","repo":"serial-app","deployBranch":"main","contentDirectory":"documentation","mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a20c34c4d01e0d38c5e4773","collectionId":"9b1df4db-5db5-4588-a1f2-d7ee487458d9","schemaVersion":"v2"},"entitlements":{},"buildId":"6a20c34c4d01e0d38c5e4773:success","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"API Reference","count":41},{"language":"default","tag":"Work Orders","count":12},{"language":"default","tag":"Documentation","count":9},{"language":"default","tag":"Component Instances","count":5},{"language":"default","tag":"Processes","count":5},{"language":"default","tag":"Setup","count":5},{"language":"default","tag":"Datasets","count":4},{"language":"default","tag":"Properties","count":4},{"language":"default","tag":"Components","count":3},{"language":"default","tag":"Legacy API","count":3}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/component-instances/create-component-instance-link","slug":"/api-reference/component-instances/create-component-instance-link","pageMetadata":{"title":"Create Component Instance Link","openapi":"PUT /components/instances/links","description":"Endpoint to create a link between two component instances","href":"/api-reference/component-instances/create-component-instance-link"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Endpoint to create a link between two component instances\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Component Instance Link","openapi":"PUT /components/instances/links","description":"Endpoint to create a link between two component instances","href":"/api-reference/component-instances/create-component-instance-link"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Create Component Instance Link","operationId":"put-components-instances-links","responses":{"200":"767f5ee0-9b88-4db0-80ae-462cf95b5b36","400":"f4adfc11-4f86-4086-a5ab-6d77c814c87f","401":"5ce6dcc5-fdcd-472e-ab7e-61a093548817","404":"2a3195c8-6d1c-4799-9542-68f1c5433754","500":"ff8e94de-c12f-4f70-a505-e562c7532b78"},"x-stoplight":{"id":"d8dufjgek75uo"},"tags":["Component Instances"],"description":"Endpoint to create a link between two component instances","requestBody":"86e9c720-04e9-41ce-959c-5b851c5d9d70","parameters":[],"method":"put","type":"path","servers":["216b2f1f-936e-48df-8571-0cddb434a9b5"],"security":["82db7c5b-a855-4ce7-b216-03c5df20b316"],"path":"/components/instances/links","baseUrlOptions":["https://api.serial.io"],"title":"Create Component Instance Link","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"parent_component_instance_id":{"type":"string","x-stoplight":{"id":"h65b0tvf0qzik"},"format":"uuid","description":"Database id for the parent component instance id.","isRequired":true,"uniqueKey":"parent_component_instance_id","typeLabel":"string\u003cuuid>"},"child_component_instance_id":{"type":"string","x-stoplight":{"id":"hc0kpbck93c06"},"format":"uuid","description":"Database id for the child component instance id.\nNote, if this component instance is serialized (component type \"SN\"), then it will automatically break any links it had with prior parents.","isRequired":true,"uniqueKey":"child_component_instance_id","typeLabel":"string\u003cuuid>"},"process_entry_id":{"type":"string","x-stoplight":{"id":"lfnsf2u04pubn"},"description":"Database id for the process entry where the link occured","format":"uuid","isRequired":true,"uniqueKey":"process_entry_id","typeLabel":"string\u003cuuid>"},"dataset_id":{"type":"string","x-stoplight":{"id":"yaccibq2dfprr"},"format":"uuid","description":"Database id for the dataset for which the link was created.","isRequired":true,"uniqueKey":"dataset_id","typeLabel":"string\u003cuuid>"},"break_prior_links":{"type":"boolean","x-stoplight":{"id":"r6nhmoyuc0mz5"},"description":"If true, will break all prior links for the parent.\nI.e. if an axle had a tire linked to it, and a new link was created with this option set to true, that link between the axle and tire would be broken.","uniqueKey":"break_prior_links","typeLabel":"boolean"}},"required":["parent_component_instance_id","child_component_instance_id","process_entry_id","dataset_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"parent_component_instance_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","child_component_instance_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","process_entry_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","dataset_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","break_prior_links":true}}},"exampleType":"generated"}},"description":"","exampleType":"generated"},"responses":{"767f5ee0-9b88-4db0-80ae-462cf95b5b36":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"broken_links":{"type":"array","x-stoplight":{"id":"wc264on74zuob"},"description":"List of broken component instance links","items":{"title":"component-instance-link","x-stoplight":{"id":"cfukuuhd1s2u9"},"type":"object","description":"Unique Identifiers Link Database return","properties":{"id":{"type":"string","x-stoplight":{"id":"0s7lzt9tj81kv"},"format":"uuid","description":"Database id for the link","isRequired":true,"uniqueKey":"broken_links.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"has_child_of_id":{"type":"string","x-stoplight":{"id":"ixm38romx62fn"},"format":"uuid","description":"Child component instance's id","isRequired":true,"uniqueKey":"broken_links.items.[INDEX].has_child_of_id","typeLabel":"string\u003cuuid>"},"process_entry_id":{"type":"string","x-stoplight":{"id":"t0anmk0qig5zv"},"format":"uuid","description":"If for the process entry where the link was created.","isRequired":true,"uniqueKey":"broken_links.items.[INDEX].process_entry_id","typeLabel":"string\u003cuuid>"},"unique_identifier_id":{"type":"string","x-stoplight":{"id":"sguxqq7ucykae"},"format":"uuid","description":"Parent component instance's id","uniqueKey":"broken_links.items.[INDEX].unique_identifier_id","typeLabel":"string\u003cuuid>"},"is_active":{"type":"boolean","x-stoplight":{"id":"r6l81zemqcvxb"},"description":"If true, the link is active. If false, the link has been broken.","uniqueKey":"broken_links.items.[INDEX].is_active","typeLabel":"boolean"},"dataset_id":{"type":"string","x-stoplight":{"id":"vlzz10za5h60r"},"format":"uuid","description":"Dataset that associates this link.","uniqueKey":"broken_links.items.[INDEX].dataset_id","typeLabel":"string\u003cuuid>"},"created_at":{"type":"string","x-stoplight":{"id":"up8zegky6c926"},"format":"date-time","description":"Timestamp when the link was created","uniqueKey":"broken_links.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"removed_at":{"type":"string","x-stoplight":{"id":"j1vpakirs9ug5"},"format":"date-time","description":"Timestamp when the link was deactivated.","uniqueKey":"broken_links.items.[INDEX].removed_at","typeLabel":"string\u003cdate-time>"}},"required":["id","has_child_of_id","process_entry_id"],"uniqueKey":"broken_links.items.[INDEX]","typeLabel":"component-instance-link · object"},"uniqueKey":"broken_links","typeLabel":"component-instance-link · object[]"},"new_link":{"title":"component-instance-link","x-stoplight":{"id":"4c2m8wy0oigpo"},"type":"object","description":"Newly created component instance link","properties":{"id":{"type":"string","x-stoplight":{"id":"0s7lzt9tj81kv"},"format":"uuid","description":"Database id for the link","isRequired":true,"uniqueKey":"new_link.id","typeLabel":"string\u003cuuid>"},"has_child_of_id":{"type":"string","x-stoplight":{"id":"ixm38romx62fn"},"format":"uuid","description":"Child component instance's id","isRequired":true,"uniqueKey":"new_link.has_child_of_id","typeLabel":"string\u003cuuid>"},"process_entry_id":{"type":"string","x-stoplight":{"id":"t0anmk0qig5zv"},"format":"uuid","description":"If for the process entry where the link was created.","isRequired":true,"uniqueKey":"new_link.process_entry_id","typeLabel":"string\u003cuuid>"},"unique_identifier_id":{"type":"string","x-stoplight":{"id":"sguxqq7ucykae"},"format":"uuid","description":"Parent component instance's id","uniqueKey":"new_link.unique_identifier_id","typeLabel":"string\u003cuuid>"},"is_active":{"type":"boolean","x-stoplight":{"id":"r6l81zemqcvxb"},"description":"If true, the link is active. If false, the link has been broken.","uniqueKey":"new_link.is_active","typeLabel":"boolean"},"dataset_id":{"type":"string","x-stoplight":{"id":"vlzz10za5h60r"},"format":"uuid","description":"Dataset that associates this link.","uniqueKey":"new_link.dataset_id","typeLabel":"string\u003cuuid>"},"created_at":{"type":"string","x-stoplight":{"id":"up8zegky6c926"},"format":"date-time","description":"Timestamp when the link was created","uniqueKey":"new_link.created_at","typeLabel":"string\u003cdate-time>"},"removed_at":{"type":"string","x-stoplight":{"id":"j1vpakirs9ug5"},"format":"date-time","description":"Timestamp when the link was deactivated.","uniqueKey":"new_link.removed_at","typeLabel":"string\u003cdate-time>"}},"required":["id","has_child_of_id","process_entry_id"],"uniqueKey":"new_link","typeLabel":"component-instance-link · object"},"prior_link":{"title":"component-instance-link","x-stoplight":{"id":"uw4qbc19n4i4p"},"type":"object","description":"If a specific link already exists between a parent and child for a given dataset \u0026 process, that already created link is returned here","properties":{"id":{"type":"string","x-stoplight":{"id":"0s7lzt9tj81kv"},"format":"uuid","description":"Database id for the link","isRequired":true,"uniqueKey":"prior_link.id","typeLabel":"string\u003cuuid>"},"has_child_of_id":{"type":"string","x-stoplight":{"id":"ixm38romx62fn"},"format":"uuid","description":"Child component instance's id","isRequired":true,"uniqueKey":"prior_link.has_child_of_id","typeLabel":"string\u003cuuid>"},"process_entry_id":{"type":"string","x-stoplight":{"id":"t0anmk0qig5zv"},"format":"uuid","description":"If for the process entry where the link was created.","isRequired":true,"uniqueKey":"prior_link.process_entry_id","typeLabel":"string\u003cuuid>"},"unique_identifier_id":{"type":"string","x-stoplight":{"id":"sguxqq7ucykae"},"format":"uuid","description":"Parent component instance's id","uniqueKey":"prior_link.unique_identifier_id","typeLabel":"string\u003cuuid>"},"is_active":{"type":"boolean","x-stoplight":{"id":"r6l81zemqcvxb"},"description":"If true, the link is active. If false, the link has been broken.","uniqueKey":"prior_link.is_active","typeLabel":"boolean"},"dataset_id":{"type":"string","x-stoplight":{"id":"vlzz10za5h60r"},"format":"uuid","description":"Dataset that associates this link.","uniqueKey":"prior_link.dataset_id","typeLabel":"string\u003cuuid>"},"created_at":{"type":"string","x-stoplight":{"id":"up8zegky6c926"},"format":"date-time","description":"Timestamp when the link was created","uniqueKey":"prior_link.created_at","typeLabel":"string\u003cdate-time>"},"removed_at":{"type":"string","x-stoplight":{"id":"j1vpakirs9ug5"},"format":"date-time","description":"Timestamp when the link was deactivated.","uniqueKey":"prior_link.removed_at","typeLabel":"string\u003cdate-time>"}},"required":["id","has_child_of_id","process_entry_id"],"uniqueKey":"prior_link","typeLabel":"component-instance-link · object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"broken_links":[{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","has_child_of_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","process_entry_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","unique_identifier_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","is_active":true,"dataset_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","created_at":"2023-11-07T05:31:56Z","removed_at":"2023-11-07T05:31:56Z"}],"new_link":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","has_child_of_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","process_entry_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","unique_identifier_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","is_active":true,"dataset_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","created_at":"2023-11-07T05:31:56Z","removed_at":"2023-11-07T05:31:56Z"},"prior_link":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","has_child_of_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","process_entry_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","unique_identifier_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","is_active":true,"dataset_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","created_at":"2023-11-07T05:31:56Z","removed_at":"2023-11-07T05:31:56Z"}}}},"exampleType":"generated"}},"exampleType":"generated"},"f4adfc11-4f86-4086-a5ab-6d77c814c87f":{"description":"Bad Request","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"5ce6dcc5-fdcd-472e-ab7e-61a093548817":{"description":"Unauthorized","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"2a3195c8-6d1c-4799-9542-68f1c5433754":{"description":"Not Found","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"ff8e94de-c12f-4f70-a505-e562c7532b78":{"description":"Internal Server Error","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"82db7c5b-a855-4ce7-b216-03c5df20b316":{"serial-default-security":{"type":"http","scheme":"bearer","description":"**API Key** or **Token** formatted as `Bearer \u003cYOUR_KEY_OR_TOKEN>`","scopes":[]}}},"servers":{"216b2f1f-936e-48df-8571-0cddb434a9b5":{"url":"https://api.serial.io"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"**API Key** or **Token** formatted as `Bearer \u003cYOUR_KEY_OR_TOKEN>`","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"**API Key** or **Token** formatted as `Bearer \u003cYOUR_KEY_OR_TOKEN>`","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"serial-default-security","name":"Authorization"}],"title":"serial-default-security"}]},"originalFileLocation":"serial.json"},"subdomain":"serial","siteName":"Serial","title":"Create Component Instance Link - Serial","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-06T22:47:27.264Z","originalFileLocation":"api-reference/component-instances/create-component-instance-link.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Endpoint to create a link between two component instances\">\u003cmeta data-mint-head name=\"application-name\" content=\"Serial\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/serial/c5ZUi_E9f6w_jgf7/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/serial/c5ZUi_E9f6w_jgf7/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/serial/c5ZUi_E9f6w_jgf7/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/serial/c5ZUi_E9f6w_jgf7/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/serial/c5ZUi_E9f6w_jgf7/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/serial/c5ZUi_E9f6w_jgf7/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/serial/c5ZUi_E9f6w_jgf7/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/serial/c5ZUi_E9f6w_jgf7/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/serial/c5ZUi_E9f6w_jgf7/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Component Instance Link - Serial\">\u003cmeta data-mint-head property=\"og:description\" content=\"Endpoint to create a link between two component instances\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Serial\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.serial.io/api-reference/component-instances/create-component-instance-link\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://serial.mintlify.app/_mintlify/api/og/v2?division=Component+Instances\u0026amp;title=Create+Component+Instance+Link\u0026amp;description=Endpoint+to+create+a+link+between+two+component+instances\u0026amp;theme=b302118416d039f93292a1e1\u0026amp;signature=87ff8a9c78c691882b3bba18dde43435245b2905c553ea8ba2b24dfc695ce9f8\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Component Instance Link - Serial\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Endpoint to create a link between two component instances\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://serial.mintlify.app/_mintlify/api/og/v2?division=Component+Instances\u0026amp;title=Create+Component+Instance+Link\u0026amp;description=Endpoint+to+create+a+link+between+two+component+instances\u0026amp;theme=b302118416d039f93292a1e1\u0026amp;signature=87ff8a9c78c691882b3bba18dde43435245b2905c553ea8ba2b24dfc695ce9f8\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/serial/c5ZUi_E9f6w_jgf7/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Serial\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#1C2D33\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.serial.io/api-reference/component-instances/create-component-instance-link\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/component-instances/create-component-instance-link.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.serial.io/#organization\",\"name\":\"Serial\",\"url\":\"https://docs.serial.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/serial/SIljb6ZyxcerJBNg/logo/Submark%20Light.png?fit=max\u0026auto=format\u0026n=SIljb6ZyxcerJBNg\u0026q=85\u0026s=31021d14e90d5ffbc0622406b344f8d9\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.serial.io#website\",\"name\":\"Serial\",\"url\":\"https://docs.serial.io\",\"publisher\":{\"@id\":\"https://docs.serial.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.serial.io/api-reference/component-instances/create-component-instance-link#webpage\",\"url\":\"https://docs.serial.io/api-reference/component-instances/create-component-instance-link\",\"name\":\"Create Component Instance Link\",\"description\":\"Endpoint to create a link between two component instances\",\"dateModified\":\"2026-01-06T22:47:27.264Z\",\"isPartOf\":{\"@id\":\"https://docs.serial.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.serial.io/api-reference/component-instances/create-component-instance-link#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.serial.io/api-reference/component-instances/create-component-instance-link#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Component Instances\",\"item\":\"https://docs.serial.io/api-reference/component-instances/get-component-instances\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create Component Instance Link\",\"item\":\"https://docs.serial.io/api-reference/component-instances/create-component-instance-link\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.serial.io/api-reference/component-instances/create-component-instance-link#apireference\",\"headline\":\"Create Component Instance Link\",\"name\":\"Create Component Instance Link\",\"description\":\"Endpoint to create a link between two component instances\",\"url\":\"https://docs.serial.io/api-reference/component-instances/create-component-instance-link\",\"mainEntityOfPage\":{\"@id\":\"https://docs.serial.io/api-reference/component-instances/create-component-instance-link#webpage\"},\"dateModified\":\"2026-01-06T22:47:27.264Z\",\"publisher\":{\"@id\":\"https://docs.serial.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.serial.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Serial\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Serial","nav":{"global":null,"anchors":[{"anchor":"Documentation","icon":{"name":"book-open","style":"duotone"},"pages":[{"title":"Documentation","href":"/welcome/introduction"}]},{"anchor":"API Reference","icon":"rectangle-terminal","color":{"light":"#1e293b","dark":"#1e293b"},"groups":[{"group":"Component Instances","pages":[{"title":"Get Component Instances","openapi":"GET /components/instances","href":"/api-reference/component-instances/get-component-instances"},{"title":"Create Component Instance","openapi":"PUT /components/instances","href":"/api-reference/component-instances/create-component-instance"},{"title":"Get Component Instance Links","openapi":"GET /components/instances/links","description":"Get component instance links related to your query","href":"/api-reference/component-instances/get-component-instance-links"},{"title":"Create Component Instance Link","openapi":"PUT /components/instances/links","href":"/api-reference/component-instances/create-component-instance-link"},{"title":"Delete Component Instance Link","openapi":"DELETE /components/instances/links","description":"Endpoint to remove links between two component instances.","href":"/api-reference/component-instances/delete-component-instance-link"}]},{"group":"Work Orders","pages":[{"title":"List all work orders","openapi":"GET /work-orders","href":"/api-reference/work-orders/list-all-work-orders"},{"title":"Create a work order","openapi":"POST /work-orders","href":"/api-reference/work-orders/create-a-work-order"},{"title":"Add Approver","openapi":"PUT /work-orders/{id}/approvals","href":"/api-reference/work-orders/add-approver"},{"title":"Add Attachment","openapi":"PUT /work-orders/{id}/attachments","href":"/api-reference/work-orders/add-attachment"},{"title":"Add Comment","openapi":"POST /work-orders/{id}/comments","href":"/api-reference/work-orders/add-comment"},{"title":"Approve or Reject Review","openapi":"PATCH /work-orders/{id}/approvals","href":"/api-reference/work-orders/approve-or-reject-review"},{"title":"Delete Approver","openapi":"DELETE /work-orders/{id}/approvals/{approver_user_id}","href":"/api-reference/work-orders/delete-approver"},{"title":"Delete Attachment","openapi":"DELETE /work-orders/{id}/approvals/{approver_user_id}","href":"/api-reference/work-orders/delete-attachment"},{"title":"Delete Work Order","openapi":"DELETE /work-order/{id}","href":"/api-reference/work-orders/delete-work-order"},{"title":"Retrieve Work Order","openapi":"GET /work-order/{id}","href":"/api-reference/work-orders/retrieve-work-order"},{"title":"Update Status","openapi":"PATCH /work-orders/{id}/status","href":"/api-reference/work-orders/update-status"},{"title":"Update Work Order","openapi":"PATCH /work-order/{id}","href":"/api-reference/work-orders/update-work-order"}]},{"group":"Processes","pages":[{"title":"Get Processes","openapi":"GET /processes","href":"/api-reference/processes/get-processes"},{"title":"Create Process Entry","openapi":"POST /processes/entries","href":"/api-reference/processes/create-process-entry"},{"title":"Get Process Entries","openapi":"GET /processes/entries","href":"/api-reference/processes/get-process-entries"},{"title":"Add Process Data","openapi":"PUT /processes/entries/{process_entry_id}","href":"/api-reference/processes/add-process-data"},{"title":"Update Process Entry","openapi":"PATCH /processes/entries/{process_entry_id}","href":"/api-reference/processes/update-process-entry"}]},{"group":"Storage","pages":[{"title":"Get Files","openapi":"GET /files","href":"/api-reference/storage/get-files"},{"title":"Upload Files","openapi":"POST /files","href":"/api-reference/storage/upload-files"}]},{"group":"Datasets","pages":[{"title":"Get Datasets","openapi":"GET /datasets","href":"/api-reference/datasets/get-datasets"},{"title":"Create Dataset","openapi":"PUT /datasets","href":"/api-reference/datasets/create-dataset"},{"title":"Update Dataset","openapi":"PATCH /datasets/{dataset_id}","href":"/api-reference/datasets/update-dataset"},{"title":"Delete Dataset","openapi":"DELETE /datasets/{dataset_id}","href":"/api-reference/datasets/delete-dataset"}]},{"group":"Components","pages":[{"title":"Get Components","openapi":"GET /components","href":"/api-reference/components/get-components"},{"title":"Create New Component","openapi":"POST /components","href":"/api-reference/components/create-new-component"},{"title":"Create Component Link","openapi":"PUT /components/links","href":"/api-reference/components/create-component-link"}]},{"group":"Properties","pages":[{"title":"Create New Component Property","openapi":"POST /components/{id}/properties","href":"/api-reference/properties/create-new-component-property"},{"title":"Get Component Instance Properties","openapi":"GET /components/instances/{id}/properties","href":"/api-reference/properties/get-component-instance-properties"},{"title":"Get Component Properties","openapi":"GET /components/{id}/properties","href":"/api-reference/properties/get-component-properties"},{"title":"Update Component Instance Properties","openapi":"PUT /components/instances/{id}/properties/{propertyId}","href":"/api-reference/properties/update-component-instance-property"}]},{"group":"Fields","pages":[{"title":"Get Fields","openapi":"GET /fields","href":"/api-reference/fields/get-fields"}]},{"group":"Part Numbers","pages":[{"title":"Get Part Numbers","openapi":"GET /part-numbers","href":"/api-reference/part-numbers/get-part-numbers"},{"title":"Create Part Number","openapi":"POST /part-numbers","href":"/api-reference/part-numbers/create-part-number"}]},{"group":"Legacy API","pages":[{"title":"Upload Process Data","openapi":"POST /process-data","href":"/api-reference/legacy/upload-process-data"},{"title":"Create Serial Number","openapi":"POST /identifier","href":"/api-reference/legacy/create-unique-identifier"},{"title":"Check Serial Connection","openapi":"POST /connection","href":"/api-reference/legacy/check-serial-connection"}]}]},{"anchor":"Python Library","icon":"python","color":{"light":"#1e293b","dark":"#1e293b"},"pages":[{"title":"Python Library","href":"/python/quickstart"}]},{"anchor":"Blog","href":"https://www.serial.io/blog","icon":"newspaper","color":{"light":"#1e293b","dark":"#1e293b"}}]},"basePath":"","title":"Create Component Instance Link - Serial","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js","Markdown-DfhCTwyA.js","clsx-xpJZXxdP.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BTZUMDnx.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DqdKa2R4.js"]}